<?php
 
/* Pass in by reference! */
function graph_cpu_acct_report ( &$rrdtool_graph ) {

   global $conf,
          $context,
          $hostname,
          $range,
          $rrd_dir,
          $size,
          $max_unique_colors,
          $unique_color;

   if ($conf['strip_domainname']) {
      $hostname = strip_domainname($hostname);
   }

   $title = 'CPU Accounting';

   if ($context != "host") {
      $rrdtool_graph['title'] = $title;
   } else {
      $rrdtool_graph['title'] = "$hostname $title last $range";
   }

   $rrdtool_graph['vertical-label'] = 'Physical Cores';
// Fudge to account for number of lines in the chart legend
   $rrdtool_graph['height']        += ($size == 'medium') ? 28 : 0 ;
   $rrdtool_graph['lower-limit']    = '0';
   $rrdtool_graph['extras']         = '--rigid';

   $series = '';

   $rrdtool_graph['extras'] .= ($conf['graphreport_stats'] == true) ? ' --font LEGEND:7' : '';
   /* we obtain the information from __SummaryInfo__ */
  if (file_exists( "${rrd_dir}/cpu_used.rrd" )) {
     $series =
     "DEF:'cpu_used'='${rrd_dir}/cpu_used.rrd':'sum':AVERAGE "
     ."AREA:'cpu_used'#ff0000:'Used CPU  ' ";

      if ($conf['graphreport_stats'] == true) {
         $series .= "CDEF:cused_pos=cpu_used,0,LT,0,cpu_used,IF "
             . "VDEF:cused_min=cused_pos,MINIMUM "
             . "VDEF:cused_avg=cused_pos,AVERAGE "
             . "VDEF:cused_max=cused_pos,MAXIMUM "
             . "GPRINT:'cused_min':'Min\:%7.2lf%s' "
             . "GPRINT:'cused_avg':'Avg\:%7.2lf%s' "
             . "GPRINT:'cused_max':'Max\:%7.2lf%s\\l' ";

      $series .= "DEF:'entitlement'='${rrd_dir}/cpu_entitlement.rrd':'sum':AVERAGE "
                ."LINE2:'entitlement'#000000:'CPU Entitlement' "
                ."DEF:'cpu_in_lpar'='${rrd_dir}/cpu_in_lpar.rrd':'sum':AVERAGE "
                ."LINE2:'cpu_in_lpar'#0000FF:'Number of virtual CPUs' ";
      }
   }

   $rrdtool_graph['series'] = $series;

   return $rrdtool_graph;

}

?>
